// src/index.ts
import verifyData from "verify-accounting-data";
var addQueriesToUrl = ({ url, queries = {} }) => {
  const { hasData: hasQueries } = verifyData(queries);
  if (!hasQueries) {
    return url;
  }
  const objectify = Object.entries(queries);
  const filteredData = objectify.filter(([key, value]) => {
    const { hasData: hasValue } = verifyData(value);
    return hasValue;
  });
  const { hasData: hasFilteredQueries } = verifyData(filteredData);
  if (hasFilteredQueries) {
    const queryString = new URLSearchParams(filteredData).toString();
    url = url.concat(`?${queryString}`);
  }
  return url;
};
var index_default = addQueriesToUrl;
export {
  index_default as default
};
//# sourceMappingURL=index.mjs.map